Skip to content

AI platform API

33 endpoints. All requests need an Authorization header — see Authentication. API keys additionally need the matching scope.

Method Path Description
GET /api/ai-activity/recent Ai Activity Recent Query: limit.
GET /api/ai-activity/summary Ai Activity Summary Query: days.
POST /api/ai-config/field Build Field Accepts a JSON body.
POST /api/ai-config/report Build Report Accepts a JSON body.
POST /api/ai/draft-email Draft Email Accepts a JSON body.
GET /api/tenant/ai/budget Get Budget
PUT /api/tenant/ai/budget Update Budget Accepts a JSON body.
GET /api/tenant/ai/feature-routes List Feature Routes
PUT /api/tenant/ai/feature-routes Upsert Feature Route Accepts a JSON body.
POST /api/tenant/ai/feature-routes/quick-setup Quick Setup Feature Routes Accepts a JSON body.
DELETE /api/tenant/ai/feature-routes/{feature} Delete Feature Route
POST /api/tenant/ai/generate Generate Text Accepts a JSON body.
POST /api/tenant/ai/insights/feedback Submit Ai Feedback Accepts a JSON body.
GET /api/tenant/ai/insights/health-sparklines Get Health Sparklines
GET /api/tenant/ai/insights/meeting-prep/{calendar_event_id} Get Meeting Prep
GET /api/tenant/ai/insights/morning-brief Get Morning Brief
GET /api/tenant/ai/insights/record-summary/{entity_type}/{entity_id} Get Record Summary
GET /api/tenant/ai/insights/status Get Ai Status
GET /api/tenant/ai/insights/suggested-actions Get Suggested Actions
GET /api/tenant/ai/providers List Providers
POST /api/tenant/ai/providers Create Provider Accepts a JSON body.
GET /api/tenant/ai/providers/{provider_id} Get Provider
PATCH /api/tenant/ai/providers/{provider_id} Update Provider Accepts a JSON body.
DELETE /api/tenant/ai/providers/{provider_id} Delete Provider
GET /api/tenant/ai/providers/{provider_id}/models List Provider Models
POST /api/tenant/ai/providers/{provider_id}/set-default Set Default Provider
POST /api/tenant/ai/providers/{provider_id}/test Test Provider
GET /api/tenant/ai/templates List Templates Query: category.
POST /api/tenant/ai/templates Create Template Accepts a JSON body.
PATCH /api/tenant/ai/templates/{template_id} Update Template Accepts a JSON body.
DELETE /api/tenant/ai/templates/{template_id} Delete Template
POST /api/tenant/ai/templates/{template_id}/test Test Template Accepts a JSON body.
GET /api/tenant/ai/usage Get Usage Dashboard Query: days, provider_id.

Try it

The full request/response schema for every endpoint is in the OpenAPI spec served by your own workspace.